<?php
/**
 * @file
 * Contains \Drupal\dummyimage\Plugin\ImageProvider\BaconImage
 */

namespace Drupal\dummyimage\Plugin\ImageProvider;

use Drupal\dummyimage\DummyImageProviderBase;

/**
 *
 * @ImageProvider(
 *   id = "baconimage",
 *   name = @Translation("Bacon Image"),
 *   url = "http://baconmockup.com/300/200"
 * )
 */
class BaconImage extends DummyImageProviderBase {

  public function getUrl($width, $height) {
    return 'http://baconmockup.com/' . $width . '/' . $height;
  }
}
