<?php
/**
 * @file
 * Contains \Drupal\dummyimage\Plugin\ImageProvider\Flickholdr
 */

namespace Drupal\dummyimage\Plugin\ImageProvider;

use Drupal\dummyimage\DummyImageProviderBase;

/**
 *
 * @ImageProvider(
 *   id = "placecage",
 *   name = @Translation("Placecage"),
 *   url = "http://placecage.com"
 * )
 */
class Placecage extends DummyImageProviderBase {

  public function getUrl($width, $height) {
    return 'http://placecage.com/' . $width . '/' . $height;
  }
}
